﻿namespace HeuristicLab.Tests.Interpreter.Expressions {
  using System.Globalization;

  using HeuristicLab.Problems.ProgramSynthesis;

  using Microsoft.VisualStudio.TestTools.UnitTesting;

  [TestClass]
  public class PrintExpressionTests : ExpressionTest {

    [TestMethod]
    [TestProperty("Time", "Short")]
    [TestCategory("ExpressionTest")]
    [TestCategory("PrintExpressionTest")]
    public void TestPrintFloat() {
      var value = 29.561570440978656;
      interpreter.FloatStack.Push(value);
      interpreter.Run(new FloatPrintExpression());

      Assert.AreEqual(value.ToString("R", CultureInfo.InvariantCulture), interpreter.PrintStack.ToString());
    }
  }
}
